NNarya Developers
API referenceTrading enrollments

End a trading enrollment

DELETE
/integration/v1/trading-enrollments/{id}

Ends an enrollment and keeps it in the history with status: ended.

Ending an enrollment that has already ended also returns 204.

Authorization

integrationKey
headerAuthorizationBearer <token>

Your integration key, sent as Authorization: Bearer nik_<prefix>_<secret>. Narya issues it.

Path Parameters

id*string
Formatuuid

Response Body

The enrollment has ended

Example Request
curl -X DELETE 'https://api-narya-staging.pmadvisors.my/integration/v1/trading-enrollments/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
Empty